[med-svn] [Git][med-team/busco][master] 2 commits: Test only usage inside autopkgtest; Install test script and README into user docs

Andreas Tille (@tille) gitlab at salsa.debian.org
Tue Jun 2 17:00:01 BST 2026



Andreas Tille pushed to branch master at Debian Med / busco


Commits:
b5c5ac7c by Andreas Tille at 2026-06-02T16:24:56+02:00
Test only usage inside autopkgtest; Install test script and README into user docs

- - - - -
f4ed27d0 by Andreas Tille at 2026-06-02T16:27:54+02:00
Upload to unstable

- - - - -


6 changed files:

- + debian/README.test
- + debian/busco.docs
- debian/changelog
- debian/tests/control
- − debian/tests/run-busco-analysis
- debian/tests/run-unit-test


Changes:

=====================================
debian/README.test
=====================================
@@ -0,0 +1,8 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by running the provided test:
+
+    sh run-unit-test
+
+in order to confirm its integrity.


=====================================
debian/busco.docs
=====================================
@@ -0,0 +1,2 @@
+debian/tests/run-unit-test
+debian/README.test


=====================================
debian/changelog
=====================================
@@ -1,11 +1,13 @@
-busco (6.0.0-1) UNRELEASED; urgency=medium
+busco (6.0.0-1) unstable; urgency=medium
 
   * New upstream version
   * d/watch: version=5
   * Standards-Version: 4.7.4 (routine-update)
   * debputy lint --auto-fix (routine-update)
+  * Test only usage inside autopkgtest
+  * Install test script and README into user docs
 
- -- Andreas Tille <tille at debian.org>  Mon, 01 Jun 2026 16:29:39 +0200
+ -- Andreas Tille <tille at debian.org>  Tue, 02 Jun 2026 16:25:05 +0200
 
 busco (5.5.0-4) unstable; urgency=medium
 


=====================================
debian/tests/control
=====================================
@@ -1,13 +1,5 @@
 Tests:
- run-unit-test,
-Depends:
- python3-all,
- @,
-Restrictions:
- allow-stderr,
-
-Tests:
- run-busco-analysis,
+ run-unit-test
 Depends:
  python3-all,
  @,


=====================================
debian/tests/run-busco-analysis deleted
=====================================
@@ -1,40 +0,0 @@
-#!/bin/bash
-
-set -e
-
-pkg='busco'
-CUR_DIR=`pwd`
-
-
-if [ "$AUTOPKGTEST_TMP" = "" ] ; then
-  AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
-  trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
-fi
-
-
-cd $AUTOPKGTEST_TMP
-
-# Copy data
-cp -a /usr/share/doc/${pkg}/examples/genome.fna .
-
-# This test requires Prodigal and HMMER
-# Busco will automatically download and version the dataset for the specified lineage
-$pkg -m genome -i genome.fna -o test_bacteria -l bacteria_odb10
-
-# Clear busco downloaded data after test
-rm -rf busco_downloads
-
-# Check output directory
-if [ -d "./test_bacteria" ]; then
-
-    echo "Output Directory Generated"
-    echo "PASS"
-
-else
-
-    echo "Output Directory Not Generated"
-    exit 1
-
-fi
-
-


=====================================
debian/tests/run-unit-test
=====================================
@@ -1,4 +1,5 @@
 #!/bin/bash
+
 set -e
 
 pkg='busco'
@@ -10,19 +11,30 @@ if [ "$AUTOPKGTEST_TMP" = "" ] ; then
   trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
 fi
 
+
 cd $AUTOPKGTEST_TMP
 
-cp -a ${CUR_DIR}/test*/ .
-mkdir -p config
-cp -a /usr/share/doc/${pkg}/examples/config.ini config/
+# Copy data
+cp -a /usr/share/doc/${pkg}/examples/genome.fna .
+
+# This test requires Prodigal and HMMER
+# Busco will automatically download and version the dataset for the specified lineage
+$pkg -m genome -i genome.fna -o test_bacteria -l bacteria_odb10
+
+# Clear busco downloaded data after test
+rm -rf busco_downloads
+
+# Check output directory
+if [ -d "./test_bacteria" ]; then
 
-for py in $(py3versions -s 2> /dev/null)
-do
-    echo "Testing with $py in $(pwd):"
-    $py -m unittest tests/unittest_runner.py -v 
-    
-done
+    echo "Output Directory Generated"
+    echo "PASS"
+
+else
+
+    echo "Output Directory Not Generated"
+    exit 1
+
+fi
 
-cd ${CUR_DIR}
 
-echo "PASS"



View it on GitLab: https://salsa.debian.org/med-team/busco/-/compare/f43e39ae70075b52f9e85281ffa01808bdb2acb1...f4ed27d0f9ee4e2bdc75e1bff02f7d748e324889

-- 
View it on GitLab: https://salsa.debian.org/med-team/busco/-/compare/f43e39ae70075b52f9e85281ffa01808bdb2acb1...f4ed27d0f9ee4e2bdc75e1bff02f7d748e324889
You're receiving this email because of your account on salsa.debian.org. Manage all notifications: https://salsa.debian.org/-/profile/notifications | Help: https://salsa.debian.org/help


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20260602/16e9857e/attachment-0001.htm>


More information about the debian-med-commit mailing list